Book Image

CompTIA PenTest+ Study Guide

By : Mike Chapple, David Seidl
Book Image

CompTIA PenTest+ Study Guide

By: Mike Chapple, David Seidl

Overview of this book

The CompTIA PenTest+ Study Guide: Exam PT0-001 offers comprehensive preparation for the newest intermediate cybersecurity certification exam. With expert coverage of Exam PT0-001 objectives, this book is your ideal companion throughout all stages of study; whether you’re just embarking on your certification journey or finalizing preparations for the big day, this invaluable resource helps you solidify your understanding of essential skills and concepts. The book shows how to perform security assessments on desktops, mobile devices, cloud, IoT, as well as industrial and embedded systems. You'll learn how to identify security weaknesses and manage system vulnerabilities. As you progress, you'll learn methods to ensure that existing cybersecurity practices, configurations, and policies conform with current best practices. You'll assess your knowledge by simulating cyber attacks to pinpoint security weaknesses in operating systems, networks, and applications. By the end of the book, you'll have all the resources you need to prepare for the exam - identify what you already know, learn what you don’t know, and face the exam with full confidence.
Table of Contents (21 chapters)
Free Chapter
1
Acknowledgments
2
About the Authors
3
Introduction
4
Assessment Test
5
Answers to Assessment Test
18
Index
19
Advert
20
End User License Agreement

Review Questions

You can find the answers in the Appendix.

  1. Which of the following operating systems support PowerShell interpreters?

    1. Linux
    2. Mac
    3. Windows
    4. All of the above
  2. Examine the following line of code. In what programming language is it written?

    print("The system contains several serious vulnerabilities.")

    1. Ruby
    2. PowerShell
    3. Bash
    4. Python
  3. Examine the following line of code. In what programming language is it written?

    Write-Host "The system contains several serious vulnerabilities."

    1. Ruby
    2. PowerShell
    3. Bash
    4. Python
  4. Which one of the following statements does not correctly describe the Ruby programming language?

    1. It is a general-purpose programming language.
    2. It is an interpreted language.
    3. It uses scripts.
    4. It is a compiled language.
  5. Which one of the following commands will allow the file owner to execute a Bash script?

    1. chmod o+e script.sh
    2. chmod o+x script.sh
    3. chmod u+e script.sh
    4. chmod u+x script.sh
  6. Which one of the following PowerShell execution policies...